Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230585 - Review Request: xdg-user-dirs - Handling of well known folders in homedir
Summary: Review Request: xdg-user-dirs - Handling of well known folders in homedir
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-01 17:15 UTC by Alexander Larsson
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-06 09:47:52 UTC
wolfy: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Alexander Larsson 2007-03-01 17:15:25 UTC
Spec URL: http://people.redhat.com/alexl/temp/xdg-user-dirs.spec
SRPM URL: http://people.redhat.com/alexl/temp/xdg-user-dirs-0.3-1.fc7.src.rpm
Description: 
Contains xdg-user-dirs-update that updates folders in a users
homedirectory based on the defaults configured by the administrator.

See http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs for more info

Comment 1 manuel wolfshant 2007-03-01 19:03:19 UTC
- rpmlint is silent both on source and binary rpm
- package meets naming guidelines
- package meets packaging guidelines 
- license (GPL ) is OK, matches source 
- spec file legible, in am. english
- source matches upstream,is latest available version, sha1sum
ddb6299faae1e23da524b113eb5d7a27c734630a  xdg-user-dirs-0.3.tar.gz
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- locales properly handled via find_lang
- not relocatable
- owns all files/directories that it creates, does not take ownership of foreign
files/directories
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- no scriptlets
- no static, .la or .pc files

SHOULD
- package builds in mock/devel/x86_64
- works as advertised

TODO 
- I suggest including the Changelog (including the one for translations)
- I think that it would be a good idea to use "-p" when installing %Source1, in
order to preserve the timestamp
- MUSTFIX: include the license file, it exists in the tar.gz but is not included
in %doc


Package is APPROVED but please add the license before uploading to CVS


Comment 2 Alexander Larsson 2007-03-02 07:47:45 UTC
New Package CVS Request
=======================
Package Name: xdg-user-dirs
Short Description: Handling of user well-known folders
Owners: alexl@redhat.com
Branches: devel
InitialCC: 

Comment 3 Dennis Gilmore 2007-03-02 13:06:40 UTC
CVS done

Comment 4 manuel wolfshant 2007-03-06 09:33:24 UTC
Alex, the package has been successfuly built, could you please close this ticket ?


Note You need to log in before you can comment on or make changes to this bug.